## python-django-babel 0.6.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-babel.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-babel.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-babel"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-babel"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-django-babel 0.4.0

=== debian/changelog ===
python-django-babel (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #794487)

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Aug 2015 17:04:31 +0200

=== debian/control ===
Source: python-django-babel
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-django,
                     python-pytest,
                     python3-babel,
                     python3-django,
                     python3-pytest,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-babel.git
Vcs-Git: git://anonscm.debian.org/openstack/python-django-babel.git
Homepage: http://github.com/graingert/django-babel/

Package: python-django-babel
Architecture: all
Depends: python-babel,
         python-django,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-django-babel-doc,
Description: Utilities for using Babel in Django - Python 2.7
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the Python 2.7 module.

Package: python3-django-babel
Architecture: all
Depends: python3-babel,
         python3-django,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-django-babel-doc,
Description: Utilities for using Babel in Django - Python 3.x
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the Python 3.x module.

Package: python-django-babel-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Utilities for using Babel in Django - doc
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/graingert/django-babel.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-django-babel; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-django-babel; \
	done
	rm -rf $(CURDIR)/debian/python*-django-babel/usr/lib/python*/dist-packages/*.pth

#override_dh_auto_test:
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
#		py.test-$$i ; \
#	done
#endif

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-django-babel-doc/usr/share/doc/python-django-babel-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-django-babel 0.5.1

=== debian/changelog ===
python-django-babel (0.5.1-2~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 01 Feb 2017 12:58:46 +0000

python-django-babel (0.5.1-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:09:02 +0200

python-django-babel (0.5.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Ivan Udovichenko ]
  * Package new release.
  * Add myself to uploaders field.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Tue, 14 Jun 2016 13:35:11 +0300

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -17,10 +18,10 @@
                      python3-babel,
                      python3-django,
                      python3-pytest,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-babel.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-django-babel.git
-Homepage: http://github.com/graingert/django-babel/
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-django-babel?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-django-babel -b debian/newton
+Homepage: https://github.com/graingert/django-babel/
 
 Package: python-django-babel
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/graingert/django-babel.git
+UPSTREAM_GIT := https://github.com/graingert/django-babel.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -28,7 +28,7 @@
 #endif
 
 override_dh_sphinxdoc:
-	sphinx-build -b html docs debian/python-django-babel-doc/usr/share/doc/python-django-babel-doc/html
+	PYTHONPATH=. sphinx-build -b html docs debian/python-django-babel-doc/usr/share/doc/python-django-babel-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils

=== debian/watch ===
version=3
http://pypi.debian.net/django-babel/django-babel-(.*).tar.gz

## python-django-babel 0.6.2

=== debian/changelog ===
python-django-babel (0.6.2-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * Fixed upstream VCS URL to new github repo.
  * New upstream release.
  * Bump debhelper to 10.
  * Using pkgos-dh_auto_install.
  * Fixed debian/copyright years and order.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 19:04:34 +0100

=== debian/control ===
Source: python-django-babel
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-django,
 python-pytest,
 python3-babel,
 python3-django,
 python3-pytest,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-babel
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-babel.git
Homepage: https://github.com/graingert/django-babel/

Package: python-django-babel
Architecture: all
Depends:
 python-babel,
 python-django,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-babel-doc,
Description: Utilities for using Babel in Django - Python 2.7
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the Python 2.7 module.

Package: python-django-babel-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Utilities for using Babel in Django - doc
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the documentation.

Package: python3-django-babel
Architecture: all
Depends:
 python3-babel,
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-babel-doc,
Description: Utilities for using Babel in Django - Python 3.x
 This package contains various utilities for integration of Babel into the
 Django web framework:
  * A message extraction plugin for Django templates.
  * A middleware class that adds the Babel Locale object to requests.
  * A set of template tags for date and number formatting.
 .
 Babel provides a message extraction framework similar to GNU xgettext, but
 more extensible and geared towards Python applications. While Django does
 provide wrapper scripts for making the use of xgettext more convenient, the
 extraction functionality is rather limited. For example, you can't use
 template files with an extension other than .html, and everything needs to be
 in your project package directory.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,21 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT := https://github.com/graingert/django-babel.git
+UPSTREAM_GIT := https://github.com/python-babel/django-babel
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
+override_dh_auto_test:
+	echo "Do nothing..."
+
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-django-babel; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-django-babel; \
-	done
-	rm -rf $(CURDIR)/debian/python*-django-babel/usr/lib/python*/dist-packages/*.pth
+	pkgos-dh_auto_install
 
-#override_dh_auto_test:
 #ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-#	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
-#		py.test-$$i ; \
+#	PYTHONPATH=$(CURDIR)/debian/python-django-babel/usr/lib/python2.7/dist-packages PYTHON=python2.7 python2.7 -m pytest tests
+#	set -e ; set -x ; for i in $(PYTHON3S) ; do \
+#		PYTHONPATH=$(CURDIR)/debian/python3-django-babel/usr/lib/python3/dist-packages PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$i -m pytest tests ; \
 #	done
 #endif

=== debian/watch ===
version=3
https://pypi.debian.net/django-babel/django-babel-(.*).tar.gz
